Package Details: metadata-cleaner 2.2.7-1

Git Clone URL: https://aur.archlinux.org/metadata-cleaner.git (read-only, click to copy)
Package Base: metadata-cleaner
Description: Python GTK application to view and clean metadata in files, using mat2
Upstream URL: https://gitlab.com/rmnvgr/metadata-cleaner
Licenses: GPL3
Submitter: lxsycht
Maintainer: yigits
Last Packager: yigits
Votes: 25
Popularity: 2.41
First Submitted: 2020-12-16 22:34 (UTC)
Last Updated: 2022-11-18 17:37 (UTC)

Latest Comments

yigits commented on 2022-03-29 14:21 (UTC) (edited on 2022-03-29 14:25 (UTC) by yigits)

@rizwan486 v2.2.1 has this in the changelog:

Fixed

DBus activation was not possible on some systems

maybe that is related to your issue?

rizwan486 commented on 2022-03-28 16:10 (UTC) (edited on 2022-03-28 16:10 (UTC) by rizwan486)

The application was successfully installed but won't open. It runs fine if it's run from the command line. After removing the line "DBusActivatable=true" from "/usr/share/applications/fr.romainvigier.MetadataCleaner.desktop" and now it's working.

yigits commented on 2022-01-09 15:21 (UTC)

@gok thank you for letting me know, added python-tomli to checkdepends

gok commented on 2022-01-08 14:10 (UTC)

Hi, package python-tomli is missing in the checkdepends (or possibly depends) array of this PKGBUILD. When I first tried to build metadata-cleaner 2.1.4-1 (without python-tomli installed), I got an error during the check() function: task "2/5 metadata-cleaner:code / Check typing (PEP 484)" failed with the stderr traceback ending with this message: "ModuleNotFoundError: No module named 'tomli'". metadata-cleaner 2.1.4-1 built fine once I installed python-tomli.

yochananmarqos commented on 2021-10-11 22:15 (UTC)

@lxsycht: No, not really. I was just bored and noticed. I did update it. Perhaps someone else would like to carry the torch from here.

lxsycht commented on 2021-10-11 15:20 (UTC)

@yochananmarqos not using my arch machine too much recently, would you like to pick this up?

yochananmarqos commented on 2021-09-23 16:27 (UTC) (edited on 2021-10-11 22:16 (UTC) by yochananmarqos)

@lxsycht: Are you planning on maintaining this? 2.0.0 is now out using GTK4 and Libadwaita.